> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spirii.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all information about a specific Voucher Group



## OpenAPI

````yaml /openapi/integrations-api/openapi.yml get /voucher-groups/{id}
openapi: 3.0.0
info:
  title: Spirii Legacy API
  description: >-
    API for integration to Spirii CPO backend for charge point owners and charge
    point operators with access to whitelabel user data.
  version: 1.1.25
servers:
  - url: https://api.spirii.com/
    description: Production Environment
security: []
paths:
  /voucher-groups/{id}:
    get:
      tags:
        - Voucher Groups
      summary: Retrieve all information about a specific Voucher Group
      parameters:
        - $ref: '#/components/parameters/voucherGroupId'
      responses:
        '200':
          $ref: '#/components/responses/voucherGroup'
        '400':
          $ref: '#/components/responses/badRequest'
        '500':
          $ref: '#/components/responses/badImplementation'
components:
  parameters:
    voucherGroupId:
      in: path
      name: id
      description: Voucher group id
      required: true
      schema:
        type: integer
        example: 1
  responses:
    voucherGroup:
      description: Voucher Group
      content:
        application/json:
          schema:
            type: object
            required:
              - id
              - name
              - perKwh
              - currency
              - isSpotPriceBased
              - spotPriceMargin
              - spotPriceMarginPct
              - spotPriceMinimum
              - createdAt
              - updatedAt
              - voucherCount
            properties:
              id:
                $ref: '#/components/schemas/id'
              name:
                $ref: '#/components/schemas/name'
              perKwh:
                $ref: '#/components/schemas/perKwh'
              currency:
                $ref: '#/components/schemas/currency'
              isSpotPriceBased:
                $ref: '#/components/schemas/isSpotPriceBased'
              spotPriceMargin:
                $ref: '#/components/schemas/spotPriceMargin'
              spotPriceMarginPct:
                $ref: '#/components/schemas/spotPriceMarginPct'
              spotPriceMinimum:
                $ref: '#/components/schemas/spotPriceMinimum'
              createdAt:
                $ref: '#/components/schemas/createdAt'
              updatedAt:
                $ref: '#/components/schemas/updatedAt'
              voucherCount:
                $ref: '#/components/schemas/voucherCount'
              location:
                $ref: '#/components/schemas/location'
              voucher:
                $ref: '#/components/schemas/voucherInVoucherGroup'
          example:
            id: 24
            name: AKB2022
            perKwh: 2.5
            currency: DKK
            isSpotPriceBased: false
            spotPriceMargin: null
            spotPriceMarginPct: null
            spotPriceMinimum: 0.5
            createdAt: '2021-01-07T08:21:43.000Z'
            updatedAt: '2022-11-07T04:56:18.000Z'
            voucherCount: 1
            locations:
              - id: 1145
                name: TheVillage
                streetAddress: Lenin
                zipCode: '640022'
                city: Kurgan
            vouchers:
              - id: 1020
                code: AKB2021
                maxUsers: null
                users:
                  - 26149
                  - 3979
                  - 15513
                  - null
                  - 18110
                  - 3952
                  - 31525
                  - 4209
                  - 16284
                  - 2320
                expiresAt: null
                createdAt: '2021-01-07T08:21:43.000Z'
    badRequest:
      description: Bad Request, invalid request or missing request parameter
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                description: Error object
                type: object
                properties:
                  message:
                    description: Error message
                    type: string
                    example: >-
                      No fields to update. Please provide at least one of the
                      valid fields
          example:
            error:
              message: Querystring parameter `id` is not allowed
              statusCode: 400
              code: QueryParamNotAllowed
    badImplementation:
      description: Something went wroing, try again later
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                description: Error object
                type: object
                properties:
                  message:
                    description: Error message
                    type: string
                    example: Something went wroing, try again later
          example:
            error:
              message: Something went wroing, try again later
              statusCode: 500
  schemas:
    id:
      description: id
      type: integer
      example: 1
    name:
      description: name
      type: string
      example: Kokbjerg
    perKwh:
      description: price per kwh
      type: number
      example: 3
      nullable: true
    currency:
      description: pricing currency
      type: string
      example: DKK
      nullable: true
    isSpotPriceBased:
      type: boolean
      example: false
    spotPriceMargin:
      type: number
      example: 0.5
      nullable: true
    spotPriceMarginPct:
      type: number
      example: 0.5
      nullable: true
    spotPriceMinimum:
      type: number
      example: 0.5
      nullable: true
    createdAt:
      description: Created date
      format: timestamp
      type: string
      example: '2021-04-20T14:38:20.000Z'
    updatedAt:
      description: Updated date
      format: timestamp
      type: string
      example: '2021-04-20T14:38:20.000Z'
    voucherCount:
      type: integer
      example: 1
    location:
      type: object
      required:
        - id
        - name
        - zipCode
        - city
      properties:
        id:
          $ref: '#/components/schemas/id'
        name:
          $ref: '#/components/schemas/name'
        streetAddress:
          $ref: '#/components/schemas/streetAddress'
        zipCode:
          $ref: '#/components/schemas/zipCode'
        city:
          $ref: '#/components/schemas/city'
    voucherInVoucherGroup:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/id'
        code:
          $ref: '#/components/schemas/code'
        maxUsers:
          $ref: '#/components/schemas/maxUsers'
        users:
          $ref: '#/components/schemas/users'
        expiresAt:
          $ref: '#/components/schemas/expiresAt'
        createdAt:
          $ref: '#/components/schemas/createdAt'
    streetAddress:
      description: street
      type: string
      example: Kokbjerg 30
    zipCode:
      description: zip code
      type: string
      example: '6000'
    city:
      description: city
      type: string
      example: Kolding
    code:
      type: string
      example: code123
    maxUsers:
      type: integer
      example: 5
      nullable: true
    users:
      type: array
      items:
        type: integer
        description: App user id
        example: 26149
    expiresAt:
      description: Updated date
      type: string
      format: timestamp
      example: '2021-04-20T14:38:20.000Z'
      nullable: true

````